Bug 49677 - odf_validation styles.xml: missing "xlink:type" attribute on "text:a"
Summary: odf_validation styles.xml: missing "xlink:type" attribute on "text:a"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL: https://wiki.documentfoundation.org/i...
Whiteboard: odf odf_validation target:3.7.0 targe...
Keywords:
Depends on:
Blocks: 49569
  Show dependency treegraph
 
Reported: 2012-05-09 02:33 UTC by Rainer Bielefeld Retired
Modified: 2012-09-17 07:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Complete Validation results (5.97 KB, text/plain)
2012-05-09 02:33 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-05-09 02:33:24 UTC
Created attachment 61272 [details]
Complete Validation results

Document source: See URL

Steps how to reproduce: Download sample document, open with LibO Version mentioned below, then do validator tests

Text document saved with:  LibreOffice 3.5.3.2 (RC2) German UI/Locale [Build-ID: 235ab8a-3802056-4a8fed3-2d66ea8-e241b80] on German WIN7 Home Premium (64bit) 
PDF File Format: 1.2 Extended

Validation results (+ = ok, - = not ok), Message behind
+ odf-validator.rhcloud: 
  Finding_out_whats_going_on_350_odf12.odp/styles.xml[2,129804]:
   Error: element "text:a" is missing "type" attribute  (and similar)
+ Officeotron: this problem not detected in  styles.xml (?)
+ Cyclone: not tested
+ ODFToolkit: not tested, HTTP ERROR 412
+ opendocumentfellowship: only ODF1 tests possible
Comment 1 Michael Stahl (CIB) 2012-09-14 13:05:53 UTC
the xlink:type attribute changed from optional in ODF 1.1
to mandatory in ODF 1.2; apparently there was one place
that was not adapted to this change.
Comment 2 Not Assigned 2012-09-14 13:09:14 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a27a6b68b7e4d2a4674b4de59fc487b17c7c9907

fdo#49677: ODF export: always add xlink:type attribute



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2012-09-14 16:11:33 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4fcdc546f065ef2b4098fa3de12325687f1e3389&g=libreoffice-3-5

fdo#49677: ODF export: always add xlink:type attribute


It will be available in LibreOffice 3.5.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-09-17 07:58:22 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8f05cb9b800a66702a6fb244aefe37daedcd337&g=libreoffice-3-6

fdo#49677: ODF export: always add xlink:type attribute


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.